Package org.eclipse.gef.dot.internal.ui

# Class DotGraphViewModule

java.lang.Object
com.google.inject.AbstractModule
org.eclipse.gef.mvc.fx.MvcFxModule
org.eclipse.gef.dot.internal.ui.DotGraphViewModule

All Implemented Interfaces:
  `com.google.inject.Module`

public class DotGraphViewModule extends org.eclipse.gef.mvc.fx.MvcFxModule

## Constructor Summary

Constructors
Constructor
Description
`DotGraphViewModule()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`bindAbstractContentPartAdapters(com.google.inject.multibindings.MapBinder<org.eclipse.gef.common.adapt.AdapterKey<?>,Object> adapterMapBinder)`
`protected void`
`bindEdgeLabelPartAdapters(com.google.inject.multibindings.MapBinder<org.eclipse.gef.common.adapt.AdapterKey<?>,Object> adapterMapBinder)`
Adds (default) adapter map bindings for `EdgeLabelPart` and all sub-classes.
`protected void`
`bindEdgePartAdapters(com.google.inject.multibindings.MapBinder<org.eclipse.gef.common.adapt.AdapterKey<?>,Object> adapterMapBinder)`
Adds (default) adapter map bindings for `EdgePart` and all sub-classes.
`protected void`
`bindGraphPartAdapters(com.google.inject.multibindings.MapBinder<org.eclipse.gef.common.adapt.AdapterKey<?>,Object> adapterMapBinder)`
Adds (default) adapter map bindings for `GraphPart` and all sub-classes.
`protected void`
`bindIContentPartFactory()`
Binds `IContentPartFactory` to `ZestFxContentPartFactory`.
`protected void`
`bindIRootPartAdaptersForContentViewer(com.google.inject.multibindings.MapBinder<org.eclipse.gef.common.adapt.AdapterKey<?>,Object> adapterMapBinder)`
`protected void`
`bindNodeLabelPartAdapters(com.google.inject.multibindings.MapBinder<org.eclipse.gef.common.adapt.AdapterKey<?>,Object> adapterMapBinder)`
Adds (default) adapter map bindings for `NodeLabelPart` and all sub-classes.
`protected void`
`bindNodePartAdapters(com.google.inject.multibindings.MapBinder<org.eclipse.gef.common.adapt.AdapterKey<?>,Object> adapterMapBinder)`
Adds (default) adapter map bindings for `NodePart` and all sub-classes.
`protected void`
`bindRootPartAsContentViewerAdapter(com.google.inject.multibindings.MapBinder<org.eclipse.gef.common.adapt.AdapterKey<?>,Object> adapterMapBinder)`
`protected void`
`configure()`
`protected void`
`enableAdapterMapInjection()`

### Methods inherited from class org.eclipse.gef.mvc.fx.MvcFxModule

`bindAbstractFeedbackPartAdapters, bindAbstractHandlePartAdapters, bindAbstractVisualPartAdapters, bindChangeViewportPolicyAsIRootPartAdapter, bindClickDragGesture, bindClickDragGestureAsDomainAdapter, bindConnectedSupportAsContentViewerAdapter, bindContentBehaviorAsIRootPartAdapter, bindContentIViewerAsIDomainAdapter, bindContentPartPoolAsContentViewerAdapter, bindContentPolicyAsAbstractContentPartAdapter, bindCreationPolicyAsIRootPartAdapter, bindCursorSupportAsContentViewerAdapter, bindDeletionPolicyAsIRootPartAdapter, bindFocusAndSelectOnClickHandlerAsIRootPartAdapter, bindFocusBehaviorAsIRootPartAdapter, bindFocusFeedbackPartFactoryAsContentViewerAdapter, bindFocusModelAsContentViewerAdapter, bindFocusTraversalPolicyAsIRootPartAdapter, bindGridBehaviorAsIRootPartAdapter, bindGridModelAsContentViewerAdapter, bindHoverBehaviorAsIRootPartAdapter, bindHoverFeedbackPartFactoryAsContentViewerAdapter, bindHoverGesture, bindHoverGestureAsDomainAdapter, bindHoverHandlePartFactoryAsContentViewerAdapter, bindHoverIntentBehaviorAsIRootPartAdapter, bindHoverModelAsContentViewerAdapter, bindHoverOnHoverHandlerAsAbstractHandlePartAdapter, bindHoverOnHoverHandlerAsIRootPartAdapter, bindIContentPartFactoryAsContentViewerAdapter, bindIDomain, bindIDomainAdapters, bindIHandlerResolver, bindIHandlerResolverAsIDomainAdapter, bindIOperationHistory, bindIRootPart, bindIUndoContext, bindIViewer, bindIViewerAdaptersForContentViewer, bindMarqueeOnDragHandlerAsIRootPartAdapter, bindPanningSupportAsContentViewerAdapter, bindPanOnTypeHandlerAsIRootPartAdapter, bindPanOrZoomOnScrollHandlerAsIRootPartAdapter, bindPinchSpreadGesture, bindPinchSpreadGestureAsIDomainAdapter, bindRevealPrimarySelectionBehaviorAsIRootPartAdapter, bindRotateGesture, bindRotateGestureAsDomainAdapter, bindScrollGesture, bindScrollGestureAsDomainAdapter, bindSelectionBehaviorAsIRootPartAdapter, bindSelectionFeedbackPartFactoryAsContentViewerAdapter, bindSelectionHandlePartFactoryAsContentViewerAdapter, bindSelectionModelAsContentViewerAdapter, bindSnappingBehaviorAsIRootPartAdapter, bindSnappingFeedbackPartFactoryAsContentViewerAdapter, bindSnappingModelAsContentViewerAdapter, bindSnapToSupportAsContentViewerAdapter, bindTransformProviderAsAbstractContentPartAdapter, bindTypeGesture, bindTypeGestureAsDomainAdapter, bindZoomOnPinchSpreadHandlerAsIRootPartAdapter`

### Methods inherited from class com.google.inject.AbstractModule

`addError, addError, addError, bind, bind, bind, bindConstant, binder, bindInterceptor, bindListener, bindListener, bindScope, configure, convertToTypes, currentStage, getMembersInjector, getMembersInjector, getProvider, getProvider, install, requestInjection, requestInjection, requestStaticInjection, requireBinding, requireBinding`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DotGraphViewModule

public DotGraphViewModule()

## Method Details

### bindAbstractContentPartAdapters

protected void bindAbstractContentPartAdapters(com.google.inject.multibindings.MapBinder<org.eclipse.gef.common.adapt.AdapterKey<?>,Object> adapterMapBinder)

Overrides:
  `bindAbstractContentPartAdapters` in class `org.eclipse.gef.mvc.fx.MvcFxModule`

### bindEdgeLabelPartAdapters

protected void bindEdgeLabelPartAdapters(com.google.inject.multibindings.MapBinder<org.eclipse.gef.common.adapt.AdapterKey<?>,Object> adapterMapBinder)
Adds (default) adapter map bindings for `EdgeLabelPart` and all sub-classes. May be overwritten by sub-classes to change the default bindings.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `EdgeLabelPart` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindEdgePartAdapters

protected void bindEdgePartAdapters(com.google.inject.multibindings.MapBinder<org.eclipse.gef.common.adapt.AdapterKey<?>,Object> adapterMapBinder)
Adds (default) adapter map bindings for `EdgePart` and all sub-classes. May be overwritten by sub-classes to change the default bindings.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `EdgePart` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindIContentPartFactory

protected void bindIContentPartFactory()
Binds `IContentPartFactory` to `ZestFxContentPartFactory`.

### bindIRootPartAdaptersForContentViewer

protected void bindIRootPartAdaptersForContentViewer(com.google.inject.multibindings.MapBinder<org.eclipse.gef.common.adapt.AdapterKey<?>,Object> adapterMapBinder)

Overrides:
  `bindIRootPartAdaptersForContentViewer` in class `org.eclipse.gef.mvc.fx.MvcFxModule`

### bindNodeLabelPartAdapters

protected void bindNodeLabelPartAdapters(com.google.inject.multibindings.MapBinder<org.eclipse.gef.common.adapt.AdapterKey<?>,Object> adapterMapBinder)
Adds (default) adapter map bindings for `NodeLabelPart` and all sub-classes. May be overwritten by sub-classes to change the default bindings.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `NodeLabelPart` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindGraphPartAdapters

protected void bindGraphPartAdapters(com.google.inject.multibindings.MapBinder<org.eclipse.gef.common.adapt.AdapterKey<?>,Object> adapterMapBinder)
Adds (default) adapter map bindings for `GraphPart` and all sub-classes. May be overwritten by sub-classes to change the default bindings.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `GraphPart` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindNodePartAdapters

protected void bindNodePartAdapters(com.google.inject.multibindings.MapBinder<org.eclipse.gef.common.adapt.AdapterKey<?>,Object> adapterMapBinder)
Adds (default) adapter map bindings for `NodePart` and all sub-classes. May be overwritten by sub-classes to change the default bindings.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `NodePart` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindRootPartAsContentViewerAdapter

protected void bindRootPartAsContentViewerAdapter(com.google.inject.multibindings.MapBinder<org.eclipse.gef.common.adapt.AdapterKey<?>,Object> adapterMapBinder)

Overrides:
  `bindRootPartAsContentViewerAdapter` in class `org.eclipse.gef.mvc.fx.MvcFxModule`

### enableAdapterMapInjection

protected void enableAdapterMapInjection()

Overrides:
  `enableAdapterMapInjection` in class `org.eclipse.gef.mvc.fx.MvcFxModule`

### configure

protected void configure()

Overrides:
  `configure` in class `org.eclipse.gef.mvc.fx.MvcFxModule`